<?php
/*
Plugin Name: Comment Author URL replace
Plugin URI: http://www.stereo.org.ua/2008/ru-info-links-banned/
Description: Replace certain comment_author_url's with $REPLACEMENT
Author: Alex Stcheblikin
Version: 0.1
Author URI: http://www.stereo.org.ua
*/

function replace_comment_author_url($url = '') {
	$REPLACEMENT = '';
	$WHITELIST = array (
		'\.pocketnotes\.ru',
		'\.mailcube\.ru',
		'\/coffeesponge\.ru'
	);
    if (preg_match("/\.(ru|info)/i", $url)) {
        foreach ($WHITELIST as $w) {
			if (preg_match("/$w/i", $url)) {
				return $url;
			}
		}
		return "$REPLACEMENT";
    }
	else {
		return $url;
	}
}
# add_filter('comment_url', 'replace_comment_author_url');	# for older WPs?
add_filter('get_comment_author_url', 'replace_comment_author_url');
?>